MODULE_I2C_DRIVER(9)

NAME
module_i2c_driver - Helper macro for registering a I2C driver

SYNOPSIS

module_i2c_driver(__i2c_driver);

ARGUMENTS

__i2c_driver
    i2c_driver struct

DESCRIPTION

Helper macro for I2C drivers which do not do anything special in module init/exit. This eliminates a lot of boilerplate. Each module may only use this macro once, and calling it replaces module_init and module_exit

COPYRIGHT